%define upstream_name    Dist-Zilla-Plugin-TaskWeaver
%define upstream_version 0.101626

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dist::Zilla::Plugin::TaskWeaver's helper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 2.0.0
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Weaver) >= 3.0.0
BuildRequires: perl(Pod::Weaver::Role::Dialect)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The TaskWeaver plugin acts just like the PodWeaver plugin, but gets its
claws just a bit into your Pod::Weaver configuration and then uses them to
figure out prerequisites and grouping for building a Task distribution.

The 'Task::' namespace is used for libraries that do not have any code of
their own, but are just ways of getting a lot of other libraries installed
at once. In other words, they're just prerequisites with no actual logic.

TaskWeaver expects that your _.pm_ file will have Pod like the following:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.101.626-2.mga4
+ Revision: 530589
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 0.101.626-1.mga4
+ Revision: 458339
- update to 0.101626

* Sun Jan 13 2013 umeabot <umeabot> 0.101.624-2.mga3
+ Revision: 366434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.101.624-1.mga3
+ Revision: 255393
- update to 0.101624

* Sat Feb 26 2011 jquelin <jquelin> 0.101.621-2.mga1
+ Revision: 60235
- rebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.101.621-1.mga1
+ Revision: 60214
- update to 0.101621

* Wed Jan 26 2011 jquelin <jquelin> 0.101.620-1.mga1
+ Revision: 41079
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-TaskWeaver

